# xarray.ufuncs.rint

`xarray.ufuncs.``rint` = <xarray.ufuncs._UFuncDispatcher object>

  xarray specific variant of numpy.rint. Handles xarray.Dataset, xarray.DataArray, xarray.Variable, numpy.ndarray and dask.array.Array objects with automatic dispatching.

  Documentation from numpy:

  rint(x, /, out=None, *, where=True, casting=’same_kind’, order=’K’, dtype=None, subok=True[, signature, extobj])

  Round elements of the array to the nearest integer.

  Parameters:

  x : array_like

  > Input array.

  out : ndarray, None, or tuple of ndarray and None, optional

  > A location into which the result is stored. If provided, it must have a shape that the inputs broadcast to. If not provided or None, a freshly-allocated array is returned. A tuple (possible only as a keyword argument) must have length equal to the number of outputs.

  where : array_like, optional

  > Values of True indicate to calculate the ufunc at that position, values of False indicate to leave the value in the output alone.

  **kwargs

  > For other keyword-only arguments, see the ufunc docs.

  Returns:

  out : ndarray or scalar

  > Output array is same shape and type as x.

  See also

  `ceil`, `floor`, `trunc`

  Examples

      >>> a = np.array([-1.7, -1.5, -0.2, 0.2, 1.5, 1.7, 2.0])
      >>> np.rint(a)
      array([-2., -2., -0.,  0.,  2.,  2.,  2.])